package com.supervision.controller;

import com.supervision.dto.R;
import com.supervision.service.FileService;
import jakarta.servlet.http.HttpServletResponse;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import java.io.IOException;

/**
 * 文件管理
 */
@RestController
@RequestMapping("/file")
@RequiredArgsConstructor
public class FileController {

    private final FileService fileService;

    /**
     * 上传文件
     * @param file 文件
     * @return
     */
    @PostMapping("/upload")
    public R<String> upload(@RequestPart("file") MultipartFile file) throws IOException {

        String fileId = fileService.upload(file);
        return R.ok(fileId);
    }


    /**
     * 下载文件
     * @param fileId
     * @param response
     */
    @GetMapping("/download")
    public void downLoad(@RequestParam("fileId") String fileId, HttpServletResponse response) {
        fileService.downLoad(fileId,response);
    }
}
