package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 系统二进制文件表
 * @TableName sys_byte_array
 */
@TableName(value ="sys_byte_array")
@Data
public class SysByteArray implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 二进制数据
     */
    private byte[] bytes;

    private String contentType;

    /**
     * 文件大小
     */
    private Long size;

    /**
     * 文件名
     */
    private String fileName;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}