package com.supervision.dto;

import com.supervision.domain.AgentInfo;
import lombok.Data;

@Data
public class AgentInfoDTO {

    /**
     * 智能体id
     */
    private String id;

    /**
     * 智能体code
     */
    private String agentCode;

    /**
     * 智能体名称
     */
    private String agentName;

    /**
     * 智能体描述
     */
    private String agentDesc;

    /**
     * 对接状态 0：未对接 1：已对接
     */
    private String adapterStatus;

    public AgentInfoDTO() {
    }

    public AgentInfoDTO(AgentInfo agentInfo) {
        this.id = agentInfo.getId();
        this.agentCode = agentInfo.getAgentCode();
        this.agentName = agentInfo.getAgentName();
        this.agentDesc = agentInfo.getAgentDesc();
        this.adapterStatus = agentInfo.getAdapterStatus();
    }
}
