package com.supervision.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.domain.AgentDialogueLog;
import com.supervision.service.AgentDialogueLogService;
import com.supervision.mapper.AgentDialogueLogMapper;
import org.springframework.stereotype.Service;

/**
* @author Administrator
* @description 针对表【agent_dialogue_log(智能体对话日志)】的数据库操作Service实现
* @createDate 2025-07-17 10:29:42
*/
@Service
public class AgentDialogueLogServiceImpl extends ServiceImpl<AgentDialogueLogMapper, AgentDialogueLog>
    implements AgentDialogueLogService{

    @Override
    public IPage<AgentDialogueLog> pageList(Page<AgentDialogueLog> page, String conversationId) {
        return this.lambdaQuery()
                .eq(AgentDialogueLog::getConversationId, conversationId)
                .orderByDesc(AgentDialogueLog::getCreateTime)
                .page(page);
    }
}




